﻿using Contracts.Generated.Flows.ShvSignaal.v1;

namespace SoapEndpoint.Tester.Scenario.Flow.ShvSignaal;

public class ShvFlowItem : ShvFlowItemBase<BerichtType>
{
    public ShvFlowItem(BerichtType shvType, bool hasAttachment = false) :
        base(shvType, BerichtType.SYS_AfleverBericht, shvHasAttachment: hasAttachment)
    {
    }

    public ShvFlowItem(BerichtType shvType, BerichtType seType, bool hasAttachment = false) :
        base(shvType, BerichtType.SYS_AfleverBericht, seType, BerichtType.SYS_AfleverBericht, hasAttachment)
    {
    }
}