using SoapEndpoint.Service.Proxy.ServiceProxies.Flows;
using SoapEndpoint.Service.Proxy.ServiceProxies.Systeem;

namespace SoapEndpoint.Service.Proxy.Models.Flows;

public record ProxyContext<TMessageType>(
    IMessageProxy<TMessageType> SenderProxy,
    IMessageProxy<TMessageType> ReceiverProxy,
    IMessageBoxProxy SenderMessageBoxProxy,
    IMessageBoxProxy ReceiverMessageBoxProxy) where TMessageType : Enum;