﻿namespace SoapEndpoint.Service.Proxy.Models.Systeem;

public class LogboekBerichtModel<TMessageType> where TMessageType : Enum
{
    public Guid Referentienummer { get; set; }
    public Guid ConversatieReferentienummer { get; set; }
    public Guid? CrossReferentienummer { get; set; }
    public Guid? Afzender { get; set; }
    public Guid Ontvanger { get; set; }
    public TMessageType BerichtType { get; set; }
    public bool Opgehaald { get; set; }
    public bool Bevestigd { get; set; }
    public DateTime Datum { get; set; }
    public string Versie { get; set; }
}