using SoapEndpoint.Service.Proxy.Models.Systeem;

namespace SoapEndpoint.Service.Proxy.ServiceProxies.Systeem;

public interface IMessageBoxProxy
{
    public Task<MessageboxConfirmatieResultBerichtModel> ConfirmBatchAsync(MessageboxConfirmatieBerichtModel message);

    public Task<BijlageModel> DownloadAttachmentAsync(DownloadBijlageModel downloadBijlage);

    public Task<MessageboxBerichtinformatieModel?> GetMessagesAsync();
    
    public ShvKnooppuntFoutberichtModel GetErrorMessage<TErrorMessage>(string content) where TErrorMessage : class;
}